<?php


namespace App\Http\Bean\Util\Wechat\Miniprograme;


use App\Http\Bean\BaseBean;

class GetProductListParamBean extends BaseBean
{
    /**
     * 第几页(偏移)
     * @var $from int
     */
    private $from;

    /**
     * 每页数量
     * @var $limit int
     */
    private $limit;

    /**
     * 搜索关键词
     * @var string $query
     */
    private $query;

    /**
     * 搜索类型(0商品名称1小商店名称2商品spuid)
     * @var int $queryType
     */
    private $queryType;

    /**
     * 商品最高价格(单位为分)
     * @var int $maxPrice
     */
    private $maxPrice;

    /**
     * 商品最低价格(单位为分)
     * @var int $minPrice
     */
    private $minPrice;

    /**
     * 最低佣金(单位为分)
     * @var int $minCommissionValue
     */
    private $minCommissionValue;

    /**
     * 佣金比例下限，单位万分之一
     * @var int $minCommissionRatio
     */
    private $minCommissionRatio;

    /**
     * 排序(0默认排序1商品价格升序2商品价格降序3佣金比例升序4佣金比例降序5佣金数值升序6佣金数值降序7销量数值升序8销量数值降序)
     * @var int $sortType
     */
    private $sortType;

    /**
     * 类目ID
     * @var int $categoryId
     */
    private $categoryId;

    /**
     * 小商店AppID列表
     * @var array $shopAppIds
     */
    private $shopAppIds;

    /**
     * 是否有联盟券,1为含券商品，0为全部商品
     * @var int $hasCoupon
     */
    private $hasCoupon;

    /**
     * 多个类目ID，多个用英文逗号分隔。若与categoryid同时存在，取categoryid
     * @var string $category;
     */
    private $category;

    /**
     * 黑名单类目ID，不拉出黑名单类目商品，多个用英文逗号分隔
     * @var string $noCategory
     */
    private $noCategory;

    /**
     * 商品SPUID，多个用英文逗号分隔
     * @var string $productId
     */
    private $productId;

    /**
     * 配送方式，JSON对象字符串
     * @var string $shippingMethods
     */
    private $shippingMethods;

    /**
     * 发货地址列表，JSON数组字符串
     * @var string $addressList
     */
    private $addressList;

    /**
     * @return int
     */
    public function getFrom()
    {
        return $this->from;
    }

    /**
     * @param int $from
     */
    public function setFrom(int $from)
    {
        $this->from = $from;
    }

    /**
     * @return int
     */
    public function getLimit()
    {
        return $this->limit;
    }

    /**
     * @param int $limit
     */
    public function setLimit(int $limit)
    {
        $this->limit = $limit;
    }

    /**
     * @return string
     */
    public function getQuery()
    {
        return $this->query;
    }

    /**
     * @param string $query
     */
    public function setQuery(string $query)
    {
        $this->query = $query;
    }

    /**
     * @return int
     */
    public function getQueryType()
    {
        return $this->queryType;
    }

    /**
     * @param int $queryType
     */
    public function setQueryType(int $queryType)
    {
        $this->queryType = $queryType;
    }

    /**
     * @return int
     */
    public function getMaxPrice()
    {
        return $this->maxPrice;
    }

    /**
     * @param int $maxPrice
     */
    public function setMaxPrice(int $maxPrice)
    {
        $this->maxPrice = $maxPrice;
    }

    /**
     * @return int
     */
    public function getMinPrice()
    {
        return $this->minPrice;
    }

    /**
     * @param int $minPrice
     */
    public function setMinPrice(int $minPrice)
    {
        $this->minPrice = $minPrice;
    }

    /**
     * @return int
     */
    public function getMinCommissionValue()
    {
        return $this->minCommissionValue;
    }

    /**
     * @param int $minCommissionValue
     */
    public function setMinCommissionValue(int $minCommissionValue)
    {
        $this->minCommissionValue = $minCommissionValue;
    }

    /**
     * @return int
     */
    public function getMinCommissionRatio()
    {
        return $this->minCommissionRatio;
    }

    /**
     * @param int $minCommissionRatio
     */
    public function setMinCommissionRatio(int $minCommissionRatio)
    {
        $this->minCommissionRatio = $minCommissionRatio;
    }

    /**
     * @return int
     */
    public function getSortType()
    {
        return $this->sortType;
    }

    /**
     * @param int $sortType
     */
    public function setSortType(int $sortType)
    {
        $this->sortType = $sortType;
    }

    /**
     * @return int
     */
    public function getCategoryId()
    {
        return $this->categoryId;
    }

    /**
     * @param int $categoryId
     */
    public function setCategoryId(int $categoryId)
    {
        $this->categoryId = $categoryId;
    }

    /**
     * @return array
     */
    public function getShopAppIds()
    {
        return $this->shopAppIds;
    }

    /**
     * @param array $shopAppIds
     */
    public function setShopAppIds(array $shopAppIds)
    {
        $this->shopAppIds = $shopAppIds;
    }

    /**
     * @return int
     */
    public function getHasCoupon()
    {
        return $this->hasCoupon;
    }

    /**
     * @param int $hasCoupon
     */
    public function setHasCoupon(int $hasCoupon)
    {
        $this->hasCoupon = $hasCoupon;
    }

    /**
     * @return string
     */
    public function getCategory()
    {
        return $this->category;
    }

    /**
     * @param string $category
     */
    public function setCategory(string $category)
    {
        $this->category = $category;
    }

    /**
     * @return string
     */
    public function getNoCategory()
    {
        return $this->noCategory;
    }

    /**
     * @param string $noCategory
     */
    public function setNoCategory(string $noCategory)
    {
        $this->noCategory = $noCategory;
    }

    /**
     * @return string
     */
    public function getProductId()
    {
        return $this->productId;
    }

    /**
     * @param string $productId
     */
    public function setProductId(string $productId)
    {
        $this->productId = $productId;
    }

    /**
     * @return string
     */
    public function getShippingMethods()
    {
        return $this->shippingMethods;
    }

    /**
     * @param string $shippingMethods
     */
    public function setShippingMethods(string $shippingMethods)
    {
        $this->shippingMethods = $shippingMethods;
    }

    /**
     * @return string
     */
    public function getAddressList()
    {
        return $this->addressList;
    }

    /**
     * @param string $addressList
     */
    public function setAddressList(string $addressList)
    {
        $this->addressList = $addressList;
    }
}