<?php


namespace App\Http\Enum;

/**
 * 订单状态枚举类
 * Class OrderStatusEnum
 * @package App\Http\Enum
 */
class OrderStatusEnum
{
    /**
     * 待支付
     */
    const PRE_PAY=0;

    /**
     * 已支付
     */
    const ALREADY_PAY=1;

    /**
     * 已收货
     */
    const ALREADY_RECEIVE=2;

    /**
     * 已结算
     */
    const ALREADY_FINISH=3;

    /**
     * 已退款或风控
     */
    const ALREADY_REFUND=4;

    /**
     * 部分退款
     */
    const ALREADY_SITE_REFUND=5;

    /**
     * 已取消
     */
    const ALREADY_CANCEL=6;

    const OrderStatusMap = [
        0=>"未支付",
        1=>"已支付",
        2=>"已支付",
        3=>"已支付",
        4=>"已退款",
        5=>"部分退款",
        6=>"已取消",
    ];
}